package netscape.javascript;


/**
 * This class is needed for MAYSCRIPT-applets.
 * @link http://home.netscape.com/eng/mozilla/3.0/handbook/plugins/doc/netscape.javascript.JSException.html
 */

public class JSException extends Exception {

    public JSException() {
        throw new RuntimeException
                ("Browser calls wrong applet functions! Please set CLASSPATH.");
    }

    public JSException(String s) {
        throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");

    }

    public JSException(String s, String filename, int lineno, String source, int tokenIndex) {
        throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
    }
}
